# Jirac

A CLI for creating and managing Jira tickets directly from your terminal.

## Features

- Create Jira tickets from markdown files or using your preferred editor
- List tickets assigned to specific users
- Simple configuration using TOML
- Interactive ticket creation with templates
- Execute JQL

## Installation

### from crates.io

```
cargo install jirac 
```

## Usage

```
Usage: jirac <COMMAND>

Commands:
  create
  list
  init
  help    Print this message or the help of the given subcommand(s)

Options:
  -h, --help     Print help
  -V, --version  Print version
```

### Creating a ticket

```
Usage: jirac create [OPTIONS] [MARKDOWN_FILE]

Arguments:
  [MARKDOWN_FILE]

Options:
      --project <PROJECT>
  -h, --help               Print help
```

*Using your favourite editor*

```sh
jirac create
```

*From a markdown file*

```sh
jirac create ticket.md
```

*Specify a project*

```sh
jirac create --project KEY
```

## Listing tickets

```
Usage: jirac list [OPTIONS]

Options:
      --json
  -h, --help  Print help
```

For now this only lists tickets assigned to the calling user.

## Configuration

Get the following information:

* Jira instance URL
* You email
* [An API key](https://id.atlassian.com/manage-profile/security/api-tokens)

Then run the the `jirac init` command

```
Usage: jirac init --url <URL> --email <EMAIL> --token <TOKEN>

Options:
      --url <URL>
      --email <EMAIL>
      --token <TOKEN>
  -h, --help           Print help
```

The config file is stored at:

| OS      | Location                                                       |
|---------|----------------------------------------------------------------| 
| Windows | `~/.config/jirac/config.toml`                                  |
| MacOS   | `~/Library/Application Support/com.runebaas.jirac/config.toml` |
| Linux   | `%APPDATA%\runebaas\jirac\config\config.toml`                  |
