use clap::{Parser, Subcommand};
use std::path::PathBuf;

#[derive(Parser)]
#[command(author, version, about, long_about = None)]
pub struct Cli {
    #[command(subcommand)]
    pub command: Commands,
}

#[derive(Subcommand)]
pub enum Commands {
    Create {
        #[arg(long)]
        project: Option<String>,

        #[arg(long)]
        open: bool,

        #[arg(value_name = "MARKDOWN_FILE")]
        markdown_file: Option<PathBuf>,
    },
    List {
        #[arg(long)]
        json: bool,
    },
    Init {
        #[arg(long)]
        url: String,
        #[arg(long)]
        email: String,
        #[arg(long)]
        token: String,
    },
}
